SBLAT3(3)

SYNOPSIS
SUBROUTINE SBLAT3 (NOUT, KPRINT, IPASS)

NAME
sblat3 - Driver for testing Level 3 BLAS single precision subroutines.

LIBRARY
SLATEC (BLAS)

CATEGORY
A3A

TYPE
SINGLE PRECISION (SBLAT3-S, DBLAT3-D, CBLAT3-C)

KEYWORDS
BLAS, QUICK CHECK DRIVER

AUTHOR
Dongarra, J. J., (ANL) Duff, I., (AERE) Du Croz, J., (NAG) Hammarling, S., (NAG)

DESCRIPTION
Test program for the REAL Level 3 Blas.

REFERENCES
Dongarra, J., Du Croz, J., Duff, I., and Hammarling, S. A set of level 3 basic linear algebra subprograms. ACM TOMS, Vol. 16, No. 1, pp. 1-17, March 1990.

ROUTINES CALLED
LSE, R1MACH, SCHK13, SCHK23, SCHK33, SCHK43, SCHK53, SCHKE3, SMMCH, XERCLR

REVISION HISTORY (YYMMDD)
890208 DATE WRITTEN
910619 Modified to meet SLATEC code and prologue standards. (BKS)
930315 Removed unused variables. (WRB)
930618 Code modified to improve PASS/FAIL reporting. (BKS, WRB)
930701 Call to SCHKE5 changed to call to SCHKE3. (BKS)